Subject: Betr.: [XCON] RE: [Simple] RE: Chat sessions

From: "A vWijk" <[email-masked]>
Date: Tue, 23 Mar 2004 09:12:26 +0100

I fully agree.

greetz

Arnoud

Drs. Arnoud A. T. van Wijk
Viataal
Research & Development
Afdeling RDS
Theerestraat 42
5271 GD Sint-Michielsgestel
The Netherlands.
Mobile: +31651921948
International text telephone: +31735588408

>>> "Gunnar Hellstrom" <[email-masked]> 22-03-04 22:34 >>>
Text conferencing does not need to be a sidebar.
I see text usage in a conference setting divided mainly in two variants.

1. Real time text in the main conference.
-------------------------------------------
There is a valid use of real time text as part of the main conference. That
is for all kinds of real time "subtitling" of a conference.

The reason may be that the audience is of mixed language background, and
need a typed translation while the main voice medium is left as it is.

Another reason may be that there are participants who cannot hear the
voice, and need to see it typed.

This type of text conferencing need to be real time, character by character
( or close to that ). Since it should flow together with other media in
real time, I think it is most natural to implement it with the text
transmitted as a streaming media in RTP, as specified by RFC2793 and
RFC2793bis, and initiated with the other real time media audio and video
with SDP at session initiation time.
It is the extension of the real time point to point call into the
multipoint world. The three natural media are video, text and audio.
One natural way to display it, if video is also included, is to display
text under the video image of the person sending the text, or the person
being text-interpreted.

2. Text Chat messaging in Chat rooms and sidebars
---------------------------------------------------
For the sidebar text Chat rooms, I would expect that the users often are
more happy to see the discussion message wise. They can then concentrate on
the main conference and occationally look at the sidebar if there are new
messages there. That would be the SIMPLE traditional IM view of text.

Would it be OK to use the term "text conferencing" for no 1, and "Chat
rooms" for no 2 ?
I expect XCON to mainly concentrate on no 1, and SIMPLE on no. 2. Therefore
I post this to both groups.

Regards

Gunnar

-------------------------------------------
Gunnar Hellstrom
Omnitor AB
Renathvagen 2
SE 121 37 Johanneshov
SWEDEN
+46 8 556 002 03
Mob: +46 708 204 288
www.omnitor.se 
[email-masked] 
--------------------------------------------

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of
> Alan Johnston
> Sent: Friday, March 19, 2004 7:21 PM
> To: Rosen, Brian; 'Paul Kyzivat'; Niemi Aki (Nokia-M/Espoo)
> Subject: [Simple] RE: Chat sessions
>
>
> As a result of this thread, in Korea, a group of us (roughly
> myself, Brian,
> Hisham, Aki, Paul, Markus - apologies to others who I might have
> forgotten)
> met to discuss "chat rooms" and text conferencing.
>
> Here is what the consensus of the participants was:
>
> There is a need to document aspects of "chat rooms" or text
> conferencing.
>
> There seems to be a need to have a request/response kind of
> subset of conferencing (sidebar) AS WELL AS an immediate
> no request/response subset of conferencing (private message /
> whisper).  This need is not specific to media, although the
> exact mechanism to establish it might be media dependent.
> Media Policy is a media independent mechanism, but others
> may be more appropriate, especially for IM.  This work
> will at least begin in XCON.
>
> In addition, the absence of an ability to express a nickname
> in SIP was identified as an area for future SIP work.
>
> Thanks,
> Alan Johnston
> MCI
> sip:[email-masked] 
>
> At 08:07 PM 3/2/2004 -0500, Rosen, Brian wrote:
> >How are we going to resolve this?
> >
> >Most of us are here.  Can we get together?
> >
> >Brian
> >
> > > -----Original Message-----
> > > From: Paul Kyzivat [mailto:[email-masked]] 
> > > Sent: Tuesday, March 02, 2004 6:44 PM
> > > To: Niemi Aki (Nokia-M/Espoo)
> > > Cc: ext Rosen, Brian; ext Jonathan Rosenberg;
> > > [email-masked];
> > > [email-masked]; [email-masked];
> > > [email-masked] 
> > > Subject: Re: [Simple] Chat sessions
> > >
> > >
> > >
> > >
> > > Niemi Aki (Nokia-M/Espoo) wrote:
> > > >
> > > >>> Of course you can't do private messages with voice. Voice
> > > and IM are
> > > >>> inherently different. You can't send private voice
> > > packets to another
> > > >>> participant of a conference, simply because there isn't a way to
> > > >>> single out a participant in a conference by directly addressing
> > > >>> packets there. It also makes mixing really complicated, because a
> > > >>> private voice stream might overlap with the rest of the
> > > conference.
> > > >>> These don't present a problem for IM; the sender can
> > > single out the
> > > >>> recipient using the cpim To header field and the recipient UA can
> > > >>> simply mark a message as private and render it to the
> > > same UI as the
> > > >>> rest of the IMs in that conference.
> > > >>
> > > >> I protest.  There is no logical difference.  There is no protocol
> > > >> difference.  In most cases, there is no practical difference.  You
> > > >> send media to some address, you get media from some address.  You
> > > >> render it.  IM or voice or video is all just media, and
> its handled
> > > >> the same way.  You might have "centralized" or
> > > "distributed" mixers.
> > > >> Most IM systems, as implemented, are centralized mixers.  You send
> > > >> all media to the mixer, it sends media to you.  There is nothing
> > > >> special with IM.  You need some signaling for a private message.
> > > >> You can use the same signaling for a sidebar or a whisper.
> > > >
> > > > Hmm.. which systems are these? The ones I've used have both private
> > > > messages *and* sidebars.
> > >
> > > It seems that in principle the difference between sidebars
> > > and private
> > > messages is simply one of UI design. A particular client
> > > could support
> > > one or the other, or both.
> > >
> > > But you also seem to require that the initiator be able to
> > > choose which
> > > user experience the recipients will have. That turns it into
> > > a protocol
> > > issue. In general I would consider this a bad idea. But it is
> > > largely a
> > > human factors issue, and I don't feel qualified to comment on
> > > it except
> > > from the perspective of personal preference. But it seems that whole
> > > discussion hinges on whether there is a valid requirement for giving
> > > senders that degree of control over recipients.
> > >
> > >       Paul
> > >
> >
> >_______________________________________________
> >Simple mailing list
> >[email-masked] 
> >https://www1.ietf.org/mailman/listinfo/simple 
>
>
> _______________________________________________
> Simple mailing list
> [email-masked] 
> https://www1.ietf.org/mailman/listinfo/simple 
>

_______________________________________________
XCON mailing list
[email-masked] 
https://www1.ietf.org/mailman/listinfo/xcon

_______________________________________________
XCON mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/xcon